Subject: Re: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Arthur Miller <[email-masked]>
Date: Mon, 18 May 2020 00:57:42 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Arthur Miller <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sun, 17 May 2020 18:34:53 +0200
>> 
>> I have a technical question regarding this: is it possilbe to detect in
>> elisp when pointer howers over part of a string, i.e. part of mode-name
>> on a lighter, since a lighter is a button. Would this be quite involved
>> or it can be implemented easily?
>
> You need to define different help-echo strings for different parts of
> the string, using text properties.  You can see how this is done in
> bindings.el.
Yes.

Another question: can I assume, at this time of civilisation
development, that everybody has GNU ls, since binutils, or coreutils, or
what is the name, is probably default on most *nix distros, as well as
on msys2 which is needed to build on Windows. No idea how Mac people are
doing in that regard though?

If we can assume that, then I can add sort by extension & size, and
feature to group dirs first and reverse sort.

I can try to detect if gnu ls is present say when dired-mode is
loaded, but that would slow down dired every time we open a directory.
I can also make a customize option for user to enable those regexpes
which requires that user is knowledgable what he/she has on the system,
but maybe it is fairly safe to assume that most people have gnu ls
these days?

:-) Sorry ...